/*  
 *	Viewer_Menu.h
 *
 *	QuickDraw 3D 1.6 Sample
 *	Robert Dierkes
 *
 *	 12/22/98	RDD		Created.
 */

#ifndef _HViewer_Menu
#define _HViewer_Menu


/*------------------*/
/*	  Constants		*/
/*------------------*/
enum {
	mApple = 128,
	mFile,
	mEdit
};


/* mApple Menu */
enum {
	iAbout = 1
};


/* mFile Menu */
enum {
	iNew = 1,
	iOpen,
	iClose,
		iFileSeparator1,
	iSave,
	iSaveAs,
		iFileSeparator2,
	iQuit
};


/* mEdit Menu */
enum {
	iUndo = 1,
		iEditSeparator1,
	iCut,
	iCopy,
	iPaste,
	iClear
};


/* mViewer Menu */
enum {
	iViewerWindowResize	= 1,
	iViewerPaneResize,
	iViewerDrawAfter
};


/*--------------*/
/*	Prototypes	*/
/*--------------*/
TQ3Boolean	Menu_Initialize (
			void);

OSErr		Menu_Command (
			long			menuResult);

#endif /* _HViewer_Menu */
